 package com.huimv.manager.controller;

import java.util.Arrays;
import java.util.Map;

import com.huimv.manager.entity.DeviceTempEntity;
import com.huimv.manager.result.R;
import com.huimv.manager.service.DeviceTempService;
import com.huimv.manager.utils.PageUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;





/**
 * 
 *
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 17:22:28
 */
@RestController
@RequestMapping("management/devicetemp")
public class DeviceTempController {
    @Autowired
    private DeviceTempService deviceTempService;

    /**
     * 列表
     */
    @RequestMapping("/list")
    public R list(@RequestParam Map<String, Object> params){
        PageUtils page = deviceTempService.queryPage(params);

        return R.ok().put("page", page);
    }


    /**
     * 信息
     */
    @RequestMapping("/info/{id}")
    public R info(@PathVariable("id") Integer id){
		DeviceTempEntity deviceTemp = deviceTempService.getById(id);

        return R.ok().put("deviceTemp", deviceTemp);
    }

    /**
     * 保存
     */
    @RequestMapping("/save")
    public R save(@RequestBody DeviceTempEntity deviceTemp){
		deviceTempService.save(deviceTemp);

        return R.ok();
    }

    /**
     * 修改
     */
    @RequestMapping("/update")
    public R update(@RequestBody DeviceTempEntity deviceTemp){
		deviceTempService.updateById(deviceTemp);

        return R.ok();
    }

    /**
     * 删除
     */
    @RequestMapping("/delete")
    public R delete(@RequestBody Integer[] ids){
		deviceTempService.removeByIds(Arrays.asList(ids));

        return R.ok();
    }

}
