package com.huimv.manager.entity;

import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnore;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author yinhao
 * @version ${version}
 * @date 2021-08-11 17:05:02
 */
@Data
@TableName("pig_basic_information")
public class PigBasicInformationEntity implements Serializable {
    private static final long serialVersionUID = 1L;

    /**
     *
     */
    @TableId
    @JsonIgnore
    private Integer id;
    /**
     * 耳标号
     */
    private String eartagNo;
    /**
     * 创建时间
     */
    @JsonIgnore
    private Date createTime;
    /**
     * 更新时间
     */
    @JsonIgnore
    private Date updateTime;
    /**
     * 机器编码
     */
    private String deviceCode;
    /**
     * 猪的出生日期
     */
    @JsonIgnore
    private Date birthDay;
    /**
     * 佩标日期
     */
    @JsonIgnore
    private Date wearTagTime;
    /**
     * 牧场编号
     */
    private String farmCode;
    /**
     * 牧场名称
     */
    private String farmName;
    /**
     * 猪舍id
     */
    @JsonIgnore
    private Integer penId;
    /**
     * 猪舍名称
     */
    private String penName;
    /**
     * 单元id
     */
    @JsonIgnore
    private Integer unitId;
    /**
     * 单元名称
     */
    private String unitName;
    /**
     * 县id
     */
    @JsonIgnore
    private Integer countyId;
    /**
     * 县名称
     */
    private String countyName;
    /**
     * 备注
     */
    @JsonIgnore
    private String remark;


    private Integer stage;

    @TableField(exist = false)
    private Integer dayAge;

    @TableField(exist = false)
    private Integer wearEartagDayAge;


    public void setBirthDay(Date birthDay) {
        this.birthDay = birthDay;
        this.dayAge = (int) DateUtil.betweenDay(birthDay, new Date(), false);
    }

    public void setWearTagTime(Date wearTagTime) {
        this.wearTagTime = wearTagTime;
        this.wearEartagDayAge = (int) DateUtil.betweenDay(wearTagTime, new Date(), false);
    }

    //    public void setDayAge() {
//        this.dayAge = DateUtil.betweenDay(birthDay, new Date(), false);
//    }
}
